<?php
/**
*
* @package phpBB Extension - Metainformation and Favicon by Chris1278
* @copyright (c) 2021 (christian-esch.de)
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/


namespace chris1278\metainfo\acp;

class main_module
{
	public $page_title;
	public $tpl_name;
	public $u_action;

	public function main($id, $mode)
	{
		global $phpbb_container;

		$admin_controller = $phpbb_container->get('chris1278.metainfo.admin.controller');
		$language = $phpbb_container->get('language');
		$admin_controller->set_page_url($this->u_action);

		switch ($mode)
		{
			case 'overview':
				$this->page_title = $language->lang('ACP_METAINFO_OVERVIEW');
				$this->tpl_name = 'acp_metainfo_overview';
				$admin_controller->display_overview();

			break;

			case 'settings':
				$this->page_title = $language->lang('ACP_METAINFO_SETTINGS');
				$this->tpl_name = 'acp_metainfo_settings';
				$admin_controller->display_settings();
			break;
		}
	}
}
