/* acp_metainfodimmer.js
------------------------------------*/

'use strict';

metainfodimmer.setConfig = function () {
	const enabled = "1.0";
	const disabled = "0.35";

	document.getElementById("dim_cmi_meta_google_site_verification").style.opacity = ((document.getElementById("cmi_meta_google_site_verification_enable_0").checked) ? disabled : enabled);
	document.getElementById("dim_cmi_meta_og_url").style.opacity = ((document.getElementById("cmi_meta_open_graph_enable_0").checked) ? disabled : enabled);
	document.getElementById("dim_cmi_meta_og_description").style.opacity = ((document.getElementById("cmi_meta_open_graph_enable_0").checked) ? disabled : enabled);
	document.getElementById("dim_cmi_meta_og_locale").style.opacity = ((document.getElementById("cmi_meta_open_graph_enable_0").checked) ? disabled : enabled);
	document.getElementById("dim_facebook_id").style.opacity = ((document.getElementById("cmi_meta_open_graph_enable_0").checked) ? disabled : enabled);
	document.getElementById("dim_fa_appid").style.opacity = ((document.getElementById("cmi_meta_open_graph_enable_0").checked) ? disabled : enabled);
	document.getElementById("dim_fa_appidswitch").style.opacity = ((document.getElementById("cmi_fa_appid_enable_0").checked) ? disabled : enabled);
};

metainfodimmer.customFormReset = function () {
	document.getElementById("metainfo_settings").reset();
	metainfodimmer.setConfig();
};

window.onload = metainfodimmer.setConfig();
