<?php
/**
*
* @package phpBB Extension - Metainfo by Chris1278
* @copyright (c) 2021 (christian-esch.de)
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

namespace chris1278\metainfo\migrations;

class v_1_0_4 extends \phpbb\db\migration\migration
{

	public static function depends_on()
	{
		return ['\chris1278\metainfo\migrations\v_1_0_3'];
	}

	public function update_data()
	{
		return [

			['module.remove', [
				'acp',
				'ACP_METAINFO', [
					'module_basename'	=> '\chris1278\metainfo\acp\metainfo_overview',
					'module_langname'	=> 'ACP_METAINFO_OVERVIEW',
					'module_mode'		=> 'overview',
					'module_auth'		=> 'ext_chris1278/metainfo && acl_a_board',
				]
			]],
			['module.remove', [
				'acp',
				'ACP_METAINFO', [
					'module_basename'	=> '\chris1278\metainfo\acp\metainfo_settings',
					'module_langname'	=> 'ACP_METAINFO_SETTINGS',
					'module_mode'		=> 'overview',
					'module_auth'		=> 'ext_chris1278/metainfo && acl_a_board',
				]
			]],
			['module.add', [
				'acp',
				'ACP_METAINFO', [
					'module_basename'	=> '\chris1278\metainfo\acp\main_module',
					'modes'				=> ['overview', 'settings'],
				],
			]],

		];
	}
}
