<?php
/**
*
* @package phpBB Extension - Metainfo by Chris1278
* @copyright (c) 2021 (christian-esch.de)
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = [];
}

$lang = array_merge($lang, [
	// language pack author
	'METAINFO_LANG_DESC'									=> 'Español Casual',
	'METAINFO_LANG_EXT_VER' 								=> '1.0.4',
	'METAINFO_LANG_AUTHOR' 									=> 'Raul - ThE KuKa',

	// navigation
	'ACP_METAINFO'											=> 'Metainformación y Favicon',
	'ACP_METAINFO_OVERVIEW'									=> 'General',
	'ACP_METAINFO_SETTINGS'									=> 'Ajustes',
	'METAINFO_UPDATE'										=> '¡La configuración de la metainformación y los favicons se han guardado correctamente!',
	'LOG_ACP_METAINFO_OVERVIEW'								=> 'Se modificó algo en la sección <b>General</b> de la extensión Metainfo.',
	'LOG_ACP_METAINFO_SETTINGS'								=> 'Se modificó algo en la sección <b>Ajustes</b> de la extensión Metainfo.',
]);
